PHPExcel_Worksheet_Protection

category | PHPExcel
package | PHPExcel_Worksheet
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Implement PHP __clone to create a deep clone, not just a shallow copy.

    __clone()

## Create a new PHPExcel_Worksheet_Protection

    __construct()

## Get AutoFilter

    getAutoFilter() : boolean

### Returns

`boolean`

## Get DeleteColumns

    getDeleteColumns() : boolean

### Returns

`boolean`

## Get DeleteRows

    getDeleteRows() : boolean

### Returns

`boolean`

## Get FormatCells

    getFormatCells() : boolean

### Returns

`boolean`

## Get FormatColumns

    getFormatColumns() : boolean

### Returns

`boolean`

## Get FormatRows

    getFormatRows() : boolean

### Returns

`boolean`

## Get InsertColumns

    getInsertColumns() : boolean

### Returns

`boolean`

## Get InsertHyperlinks

    getInsertHyperlinks() : boolean

### Returns

`boolean`

## Get InsertRows

    getInsertRows() : boolean

### Returns

`boolean`

## Get Objects

    getObjects() : boolean

### Returns

`boolean`

## Get Password (hashed)

    getPassword() : string

### Returns

`string`

## Get PivotTables

    getPivotTables() : boolean

### Returns

`boolean`

## Get Scenarios

    getScenarios() : boolean

### Returns

`boolean`

## Get SelectLockedCells

    getSelectLockedCells() : boolean

### Returns

`boolean`

## Get SelectUnlockedCells

    getSelectUnlockedCells() : boolean

### Returns

`boolean`

## Get Sheet

    getSheet() : boolean

### Returns

`boolean`

## Get Sort

    getSort() : boolean

### Returns

`boolean`

## Is some sort of protection enabled?

    isProtectionEnabled() : boolean

### Returns

`boolean`

## Set AutoFilter

    setAutoFilter(boolean $pValue) : \PHPExcel_Worksheet_Protection

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Worksheet_Protection`

## Set DeleteColumns

    setDeleteColumns(boolean $pValue) : \PHPExcel_Worksheet_Protection

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Worksheet_Protection`

## Set DeleteRows

    setDeleteRows(boolean $pValue) : \PHPExcel_Worksheet_Protection

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Worksheet_Protection`

## Set FormatCells

    setFormatCells(boolean $pValue) : \PHPExcel_Worksheet_Protection

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Worksheet_Protection`

## Set FormatColumns

    setFormatColumns(boolean $pValue) : \PHPExcel_Worksheet_Protection

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Worksheet_Protection`

## Set FormatRows

    setFormatRows(boolean $pValue) : \PHPExcel_Worksheet_Protection

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Worksheet_Protection`

## Set InsertColumns

    setInsertColumns(boolean $pValue) : \PHPExcel_Worksheet_Protection

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Worksheet_Protection`

## Set InsertHyperlinks

    setInsertHyperlinks(boolean $pValue) : \PHPExcel_Worksheet_Protection

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Worksheet_Protection`

## Set InsertRows

    setInsertRows(boolean $pValue) : \PHPExcel_Worksheet_Protection

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Worksheet_Protection`

## Set Objects

    setObjects(boolean $pValue) : \PHPExcel_Worksheet_Protection

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Worksheet_Protection`

## Set Password

    setPassword(string $pValue, boolean $pAlreadyHashed) : \PHPExcel_Worksheet_Protection

### Parameters

#### $pValue

`string`

#### $pAlreadyHashed

`boolean`

If the password has already been hashed, set this to true

### Returns

`\PHPExcel_Worksheet_Protection`

## Set PivotTables

    setPivotTables(boolean $pValue) : \PHPExcel_Worksheet_Protection

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Worksheet_Protection`

## Set Scenarios

    setScenarios(boolean $pValue) : \PHPExcel_Worksheet_Protection

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Worksheet_Protection`

## Set SelectLockedCells

    setSelectLockedCells(boolean $pValue) : \PHPExcel_Worksheet_Protection

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Worksheet_Protection`

## Set SelectUnlockedCells

    setSelectUnlockedCells(boolean $pValue) : \PHPExcel_Worksheet_Protection

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Worksheet_Protection`

## Set Sheet

    setSheet(boolean $pValue) : \PHPExcel_Worksheet_Protection

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Worksheet_Protection`

## Set Sort

    setSort(boolean $pValue) : \PHPExcel_Worksheet_Protection

### Parameters

#### $pValue

`boolean`

### Returns

`\PHPExcel_Worksheet_Protection`

### Properties

##

    $_autoFilter : boolean

##

    $_deleteColumns : boolean

##

    $_deleteRows : boolean

##

    $_formatCells : boolean

##

    $_formatColumns : boolean

##

    $_formatRows : boolean

##

    $_insertColumns : boolean

##

    $_insertHyperlinks : boolean

##

    $_insertRows : boolean

##

    $_objects : boolean

##

    $_password : string

##

    $_pivotTables : boolean

##

    $_scenarios : boolean

##

    $_selectLockedCells : boolean

##

    $_selectUnlockedCells : boolean

##

    $_sheet : boolean

##

    $_sort : boolean